## org.apache.xerces.impl.dv.xs
Class DateDV

    java.lang.Object
      org.apache.xerces.impl.dv.xs.TypeValidator
          org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
              org.apache.xerces.impl.dv.xs.DateTimeDV
                  org.apache.xerces.impl.dv.xs.DateDV

    public class DateDV

extends DateTimeDV

Validator for <date> datatype (W3C Schema datatypes)

Version:
  $Id: DateDV.java 320545 2005-07-19 04:49:50Z mrglavas $
Author:
  Elena Litani, Gopal Sharma, SUN Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Field Summary

Fields inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`DAY, factory, MONTH, YEAR`

Fields inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`EQUAL, GREATER_THAN, INDETERMINATE, LESS_THAN`

Constructor Summary
`DateDV()`

Method Summary
`protected java.lang.String` `dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`java.lang.Object` `getActualValue(java.lang.String content, ValidationContext context)`
`protected javax.xml.datatype.XMLGregorianCalendar` `getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)`
`protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData` `parse(java.lang.String str)` Parses, validates and computes normalized version of dateTime object

Methods inherited from class org.apache.xerces.impl.dv.xs.AbstractDateTimeDV
`append, append, compare, compareDates, compareOrder, findUTCSign, fQuotient, fQuotient, getAllowedFacets, getDate, getDuration, getTime, getTimeZone, getYearMonth, indexOf, isIdentical, isNextCharUTCSign, maxDayInMonthFor, mod, modulo, normalize, parseInt, parseIntYear, parseSecond, parseTimeZone, resetDateObj, saveUnnormalized, validateDateTime`

Methods inherited from class org.apache.xerces.impl.dv.xs.TypeValidator
`checkExtraRules, getDataLength, getDigit, getFractionDigits, getTotalDigits, isDigit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateDV

    public DateDV()

Method Detail

### getActualValue

    public java.lang.Object getActualValue(java.lang.String content,
                                           ValidationContext context)
                                    throws InvalidDatatypeValueException

  Overrides:
    `getActualValue` in class `DateTimeDV`
  Throws:
    `InvalidDatatypeValueException`

### parse

    protected org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData parse(java.lang.String str)
                                                                          throws SchemaDateTimeException

  Parses, validates and computes normalized version of dateTime object

  Overrides:
    `parse` in class `DateTimeDV`
  Parameters:
    `str` - The lexical representation of dateTime object CCYY-MM-DD with possible time zone Z or (-),(+)hh:mm
  Returns:
    normalized dateTime representation
  Throws:
    `SchemaDateTimeException` - Invalid lexical representation

### dateToString

    protected java.lang.String dateToString(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Overrides:
    `dateToString` in class `AbstractDateTimeDV`

### getXMLGregorianCalendar

    protected javax.xml.datatype.XMLGregorianCalendar getXMLGregorianCalendar(org.apache.xerces.impl.dv.xs.AbstractDateTimeDV.DateTimeData date)

  Overrides:
    `getXMLGregorianCalendar` in class `DateTimeDV`

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.